live = live or {}

local DiggLayer = class("DiggLayer", function()
    return display.newLayer()
end)

function DiggLayer:ctor()
    if live.Constant.DIGG_LAYER_RIGHT_MARGIN then
        self._originalPoint= cc.p(display.size.width - live.Constant.DIGG_LAYER_RIGHT_MARGIN, live.Constant.BOTTOM_TOOLBAR_HEIGHT + 5)
    else
        self._originalPoint= cc.p(live.Constant.DIGG_LAYER_ORIGINAL_MARGIN, live.Constant.BOTTOM_TOOLBAR_HEIGHT + 5)
    end
    self:registerScriptHandler(function(state)
        if state == "exit" then
            self:onExit()
        end
    end)
end

function DiggLayer:tryPlayAnimation(msg)
    local color = live.Constant.COLOR_S4
    if msg.CR>0 or msg.CG>0  or msg.CB>0  then
        color = cc.c3b(msg.CR, msg.CG, msg.CB)
    end
    local digg = live.DiggSprite:create(color,self._originalPoint.x,self._originalPoint.y)
    digg:setVisible(false)
    self:addChild(digg)
    digg:runAction(digg:getRandomAction())
    return true
end

function DiggLayer:onExit()
    print("digg layer onExit")
    self:removeAllChildren(true)
end

live.DiggLayer = DiggLayer
return DiggLayer
